package com.jpsoft.shinestar.modules.base.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.jpsoft.shinestar.modules.base.dao.GoodsTypeDAO;
import com.jpsoft.shinestar.modules.base.entity.GoodsType;
import com.jpsoft.shinestar.modules.base.service.GoodsTypeService;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-8-14 14:59
 */
@Transactional
@Component(value="goodsTypeService")
public class GoodsTypeServiceImpl implements GoodsTypeService {

    @Resource(name="goodsTypeDAO")
    private GoodsTypeDAO goodsTypeDAO;


    @Override
    public GoodsType get(String id) {
        return goodsTypeDAO.get(id);
    }

    @Override
    public boolean exist(String id) {
        int count = goodsTypeDAO.exist(id);

        return count > 0 ? true : false;
    }

    @Override
    public int insert(GoodsType model) {
        return goodsTypeDAO.insert(model);
    }

    @Override
    public int update(GoodsType model) {
        return goodsTypeDAO.update(model);
    }

    @Override
    public int delete(String id) {
        return goodsTypeDAO.delete(id);
    }

    @Override
    public List<GoodsType> list() {
        return goodsTypeDAO.list();
    }

    @Override
    public Page<GoodsType> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList) {
        Page<GoodsType> page = PageHelper.startPage(pageNum,pageSize,count).doSelectPage(()->{
            goodsTypeDAO.search(searchParams,sortList);
        });

        return page;
    }

}
